CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Events
CommandMessenger.Bluetooth.BluetoothConnectionManager Class Reference

Connection manager for Bluetooth devices. More...

Inheritance diagram for CommandMessenger.Bluetooth.BluetoothConnectionManager:

List of all members.

## Public Member Functions
| BluetoothConnectionManager (BluetoothTransport bluetoothTransport, CmdMessenger cmdMessenger, int challengeCommandId, int responseCommandId)
| Connection manager for Bluetooth devices.
void | ThorougScanForDevices ()
bool | PairDevice (BluetoothDeviceInfo device)
bool | TryConnection (BluetoothAddress bluetoothAddress, int timeOut)
bool | TryConnection (BluetoothDeviceInfo bluetoothDeviceInfo, int timeOut)
bool | TryConnection (int timeOut)
bool | SingleScan ()
bool | QuickScan ()
bool | ThoroughScan ()
bool | NewDevicesScan ()
| BluetoothConnectionManager (BluetoothTransport bluetoothTransport, CmdMessenger cmdMessenger, int challengeCommandId, int responseCommandId)
void | SetControlToInvokeOn (Control controlToInvokeOn)
| Sets a control to invoke on.
void | StartScan ()
| Start scanning for devices.
void | StopScan ()
| Stop scanning for devices.
void | ThorougScanForDevices ()
bool | PairDevice (BluetoothDeviceInfo device)
bool | TryConnection (BluetoothAddress bluetoothAddress, int timeOut)
bool | TryConnection (BluetoothDeviceInfo bluetoothDeviceInfo, int timeOut)
bool | TryConnection (int timeOut)
bool | ArduinoAvailable (int timeOut)
| Check if Arduino is available.
bool | ArduinoAvailable (int timeOut, int tries)
bool | Disconnect ()
| Disconnect from Arduino.
bool | SingleScan ()
bool | QuickScan ()
bool | ThoroughScan ()
bool | NewDevicesScan ()
void | StartWatchDog (long watchdogTimeOut)
void | StopWatchDog ()
| Stop watchdog.
void | Dispose ()
## Protected Member Functions
override void | DoWorkScan ()
virtual void | Dispose (bool disposing)
## Properties
bool | Connected`[get, set]`
## Events
EventHandler | ConnectionTimeout
EventHandler | ConnectionFound
EventHandler < ConnectionManagerProgressEventArgs > | Progress

## Detailed Description

Connection manager for Bluetooth devices.

## Constructor & Destructor Documentation

CommandMessenger.Bluetooth.BluetoothConnectionManager.BluetoothConnectionManager | ( | BluetoothTransport | bluetoothTransport,
|  | CmdMessenger | cmdMessenger,
|  | int | challengeCommandId,
|  | int | responseCommandId
| ) |  |

Connection manager for Bluetooth devices.

## Member Function Documentation

bool CommandMessenger.Bluetooth.BluetoothConnectionManager.ArduinoAvailable | ( | int | timeOut | ) |

Check if Arduino is available.

Parameters:

  timeOut | timout for waiting on response

Returns:
  Result. True if succesfull

Reimplemented from CommandMessenger.ConnectionManager.

bool CommandMessenger.Bluetooth.BluetoothConnectionManager.Disconnect | ( |  | ) |

Disconnect from Arduino.

Returns:
  true if sucessfully disconnected

Reimplemented from CommandMessenger.ConnectionManager.

void CommandMessenger.Bluetooth.BluetoothConnectionManager.SetControlToInvokeOn | ( | Control | controlToInvokeOn | ) |

Sets a control to invoke on.

Parameters:

  controlToInvokeOn | The control to invoke on.

Reimplemented from CommandMessenger.ConnectionManager.

void CommandMessenger.Bluetooth.BluetoothConnectionManager.StartScan | ( |  | ) |

Start scanning for devices.

Reimplemented from CommandMessenger.ConnectionManager.

void CommandMessenger.Bluetooth.BluetoothConnectionManager.StopScan | ( |  | ) |

Stop scanning for devices.

Reimplemented from CommandMessenger.ConnectionManager.

void CommandMessenger.Bluetooth.BluetoothConnectionManager.StopWatchDog | ( |  | ) |

Stop watchdog.

Reimplemented from CommandMessenger.ConnectionManager.

The documentation for this class was generated from the following files:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Bluetooth/BluetoothConnectionManager.cs
- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Bluetooth/BluetoothConnectionManager_old.cs